package com.persagy.proxy.adm.utils;

import cn.hutool.core.util.RandomUtil;

/**
 * 根据中心数据规则生成对象名字
 * 参见 datacenterShaftNameUtil
 * @author lvxy
 * @date 2021/8/31
 */
public class ObjectNameUtil {

    /**
     * 竖井名字
     *
     * @param   name    名字
     */
    public static String objectName(String name){
        return name + getCode(5);
    } // Function shaftName()

    /**
     * 字母和数字组合的随机数
     *
     * @param   n   随机数的位数
     */
    private static String getCode(int n) {
        String str = "0123456789ABCDEFGHJKLMNPQRSTUVWXYZ";//保存数字0-9 和 大小写字母
        char[] ch = new char[n]; //声明一个字符数组对象ch 保存 验证码
        for (int i=0 ; i< n; i++) {
            //创建一个新的随机数生成器
            int index = RandomUtil.getRandom().nextInt(str.length());//返回[0,string.length)范围的int值    作用：保存下标
            ch[i] = str.charAt(index);//charAt() : 返回指定索引处的 char 值   ==》保存到字符数组对象ch里面
        }
        //将char数组类型转换为String类型保存到result
        return  String.valueOf(ch);
    }

}
